error in install ncl

Issues related to applications and software problems and general support
Post Reply
abdossamad2003
Posts: 61
Joined: 2015/10/06 11:17:19

error in install ncl

Post by abdossamad2003 » 2021/02/13 11:34:47

hi centos export
I need a ncl package, but I encounter the following error during installation

Code: Select all

[samad@localhost Downloads]$ sudo yum install ncl.x86_64 
Last metadata expiration check: 3:17:55 ago on Sat 13 Feb 2021 11:44:27 AM +0330.
Error: 
 Problem: package ncl-6.6.2-12.el8.x86_64 requires libgdal.so.26()(64bit), but none of the providers can be installed
  - conflicting requests
  - nothing provides libpoppler.so.78()(64bit) needed by gdal-libs-3.0.4-5.el8.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
in centos 8, there is libpoppler.so.104()(64bit) and libpoppler.so.78()(64bit) is old

thanks

User avatar
TrevorH
Forum Moderator
Posts: 30358
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: error in install ncl

Post by TrevorH » 2021/02/13 15:53:21

It comes from EPEL but it works for me. Make sure you have the appstream, powertools and possible epel-playground repos enabled as well as EPEL itself.
CentOS 6 died in November 2020 - migrate to a new version!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

sml
Posts: 225
Joined: 2020/01/17 09:01:44

Re: error in install ncl

Post by sml » 2021/02/13 17:44:30

abdossamad2003 wrote:
2021/02/13 11:34:47
in centos 8, there is libpoppler.so.104()(64bit) and libpoppler.so.78()(64bit) is old
Where did you get that libpoppler.so.104()(64bit) from?

Code: Select all

$ dnf provides 'libpoppler.so.104()(64bit)'
Error: No Matches found

Code: Select all

$ dnf provides 'libpoppler.so.78()(64bit)'
poppler-0.66.0-27.el8.x86_64 : PDF rendering library
Repo        : @System
Matched from:
Provide    : libpoppler.so.78()(64bit)

poppler-0.66.0-27.el8.x86_64 : PDF rendering library
Repo        : appstream
Matched from:
Provide    : libpoppler.so.78()(64bit)

User avatar
TrevorH
Forum Moderator
Posts: 30358
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: error in install ncl

Post by TrevorH » 2021/02/13 18:25:23

Code: Select all

[root@centos8 ~]# dnf provides 'libpoppler.so.78()(64bit)'
Last metadata expiration check: 2:41:19 ago on Sat Feb 13 15:43:28 2021.
poppler-0.66.0-27.el8.x86_64 : PDF rendering library
Repo        : appstream
Matched from:
Provide    : libpoppler.so.78()(64bit)
I'm going to guess Stream vs CentOS Linux 8. Mine is CL8...
CentOS 6 died in November 2020 - migrate to a new version!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

sml
Posts: 225
Joined: 2020/01/17 09:01:44

Re: error in install ncl

Post by sml » 2021/02/13 21:40:56

Yep, Trevor, you're right.

@OP. The package ncl is provided by EPEL 8. EPEL 8 packages are built on and for RHEL/CentOS Linux 8. They may or may not work with CentOS Stream 8. This package won't. At least, until the poppler version from Stream migrates to CentOS 8.4, and EPEL maintainers rebuild their packages against it. But by then, Stream may receive a yet newer version of poppler. Vicious circle.

User avatar
TrevorH
Forum Moderator
Posts: 30358
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: error in install ncl

Post by TrevorH » 2021/02/13 22:32:54

soname changes are quite rare in RHEL and usually happen at point releases when they do. Since Stream is a moving beta, it gets this update before it goes into RHEL which would happen at 8.4 it seems. It's quite rare for things to get soname changes more than once in a while so hopefully it's safe once this has been handled. But until RHEL 8.4 comes out and EPEL update, this package will not work on Stream.
CentOS 6 died in November 2020 - migrate to a new version!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

MartinR
Posts: 652
Joined: 2015/05/11 07:53:27
Location: UK

Re: error in install ncl

Post by MartinR » 2021/02/13 23:16:16

But RedHat assures us that changing from CentOS to Stream will have no noticeable effect! :o

User avatar
TrevorH
Forum Moderator
Posts: 30358
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: error in install ncl

Post by TrevorH » 2021/02/13 23:27:03

Something that needs to be reported on the EPEL mailing list I think, perhaps with a suggestion that there should be an epel-stream repo configured to be prioritised before epel itself so that Stream specific updates can be published in advance.
CentOS 6 died in November 2020 - migrate to a new version!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

abdossamad2003
Posts: 61
Joined: 2015/10/06 11:17:19

Re: error in install ncl

Post by abdossamad2003 » 2021/02/19 11:12:46

sml wrote:
2021/02/13 17:44:30
abdossamad2003 wrote:
2021/02/13 11:34:47
in centos 8, there is libpoppler.so.104()(64bit) and libpoppler.so.78()(64bit) is old
Where did you get that libpoppler.so.104()(64bit) from?

Code: Select all

$ dnf provides 'libpoppler.so.104()(64bit)'
Error: No Matches found

Code: Select all

$ dnf provides 'libpoppler.so.78()(64bit)'
poppler-0.66.0-27.el8.x86_64 : PDF rendering library
Repo        : @System
Matched from:
Provide    : libpoppler.so.78()(64bit)

poppler-0.66.0-27.el8.x86_64 : PDF rendering library
Repo        : appstream
Matched from:
Provide    : libpoppler.so.78()(64bit)

Code: Select all

[samad@localhost ~]$ dnf provides 'libpoppler.so.104()(64bit)'
Last metadata expiration check: 0:03:30 ago on Fri 19 Feb 2021 02:38:39 PM +0330.
poppler-20.11.0-2.el8.x86_64 : PDF rendering library
Repo        : @System
Matched from:
Provide    : libpoppler.so.104()(64bit)

poppler-20.11.0-2.el8.x86_64 : PDF rendering library
Repo        : appstream
Matched from:
Provide    : libpoppler.so.104()(64bit)

User avatar
jlehtone
Posts: 3354
Joined: 2007/12/11 08:17:33
Location: Finland

Re: error in install ncl

Post by jlehtone » 2021/02/19 14:27:43

Stream repo it is.

Poppler has changed into the year.month scheme?
MartinR wrote:
2021/02/13 23:16:16
But RedHat assures us that changing from CentOS to Stream will have no noticeable effect! :o
I don't think that their assurance can cover third party content, like EPEL.

Post Reply

Return to “CentOS 8 - General Support”